Bug 263495 - amarok entering search term caused crash [@ UrlMemoryFilter::value]
Summary: amarok entering search term caused crash [@ UrlMemoryFilter::value]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.4.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-01-18 00:48 UTC by Marc Benstein
Modified: 2011-04-26 09:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Benstein 2011-01-18 00:48:36 UTC
Application: amarok (2.4.0)
KDE Platform Version: 4.5.95 (4.6 RC2)
Qt Version: 4.7.1
Operating System: Linux 2.6.37-desktop x86_64
Distribution: "openSUSE 11.4 Milestone 5 of 6 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

I had my collection loaded, an ipod, and was searching for an artist name. I started entering the name of the artist and amarok crashed.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f57276067a0 (LWP 12273))]

Thread 29 (Thread 0x7f5702eed700 (LWP 12275)):
#0  0x00007f5721f3a6f9 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f570c865981 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 28 (Thread 0x7f57026ec700 (LWP 12276)):
#0  0x00007f5721f380a4 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f571d74716b in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007f571d7476e0 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f572567f9c6 in QEventDispatcherGlib::processEvents (this=0x90b840, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f5725654092 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f57256542a5 in QEventLoop::exec (this=0x7f57026ebcd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f5725569214 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f570cac3694 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f572556ba8e in QThreadPrivate::start (arg=0x8ba270) at thread/qthread_unix.cpp:285
#9  0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f572409e3dd in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 27 (Thread 0x7f5701ce5700 (LWP 12277)):
#0  0x00007f5724095263 in poll () from /lib64/libc.so.6
#1  0x00007f571af6748f in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f571af59256 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f571af59889 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f571af59940 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f571af6742b in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f5717050cf8 in ?? () from /usr/lib64/libpulsecommon-0.9.22.so
#7  0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#8  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 26 (Thread 0x7f56fd4c2700 (LWP 12278)):
#0  0x00007f57240979d3 in select () from /lib64/libc.so.6
#1  0x00007f570c88f644 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x00007f570c8775aa in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 25 (Thread 0x7f56fc667700 (LWP 12279)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f570c877bbb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7f56fbe24700 (LWP 12280)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f570c877bbb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7f56f9d1b700 (LWP 12282)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f56faa3b219 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f56faa39ed6 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007f56fa9f997a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007f56faa74920 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7f56f768c700 (LWP 12283)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f56faa3b219 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f56faa39ed6 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007f56fa9f997a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007f56faa74920 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f56f6e8b700 (LWP 12284)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f56faa3b219 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f56faa39ed6 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007f56fa9f997a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007f56faa74920 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f56f668a700 (LWP 12285)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f56faa3b219 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f56faa39ed6 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007f56fa9f997a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007f56faa74920 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f56f5172700 (LWP 12287)):
#0  0x00007f57240979d3 in select () from /lib64/libc.so.6
#1  0x00007f56faa3ba1b in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007f56faa735ba in srv_lock_timeout_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f56f4971700 (LWP 12288)):
#0  0x00007f57240979d3 in select () from /lib64/libc.so.6
#1  0x00007f56faa3ba1b in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007f56faa738d5 in srv_error_monitor_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f56f4170700 (LWP 12289)):
#0  0x00007f57240979d3 in select () from /lib64/libc.so.6
#1  0x00007f56faa3ba1b in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007f56faa73222 in srv_monitor_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f56f396f700 (LWP 12290)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f56faa3b219 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f56faa73f12 in srv_master_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f56f316e700 (LWP 12291)):
#0  0x00007f57240ab6bf in __libc_enable_asynccancel () from /lib64/libc.so.6
#1  0x00007f5724095248 in poll () from /lib64/libc.so.6
#2  0x00007f571d7471a4 in ?? () from /lib64/libglib-2.0.so.0
#3  0x00007f571d7476e0 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#4  0x00007f572567f9c6 in QEventDispatcherGlib::processEvents (this=0xbde830, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f5725654092 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f57256542a5 in QEventLoop::exec (this=0x7f56f316dce0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f5725569214 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f57256359a8 in QInotifyFileSystemWatcherEngine::run (this=0x132cff0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f572556ba8e in QThreadPrivate::start (arg=0x132cff0) at thread/qthread_unix.cpp:285
#10 0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#11 0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#12 0x00007f572409e3dd in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f56ef091700 (LWP 12311)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f572556c17b in wait (this=<value optimized out>, mutex=0x154f3e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x154f3e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f5721368254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x15426a0, th=0x1548200) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f572136b2a5 in waitForAvailableJob (this=0x154ac40, th=0x1548200) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x154ac40, th=0x1548200) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f572136b2be in ThreadWeaver::WorkingHardState::applyForWork (this=0x154ac40, th=0x1548200) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f572136864f in ThreadWeaver::ThreadRunHelper::run (this=0x7f56ef090d30, parent=0x15426a0, th=0x1548200) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f57213686d8 in ThreadWeaver::Thread::run (this=0x1548200) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f572556ba8e in QThreadPrivate::start (arg=0x1548200) at thread/qthread_unix.cpp:285
#10 0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#11 0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#12 0x00007f572409e3dd in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f56e07d8700 (LWP 12385)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f572556c17b in wait (this=<value optimized out>, mutex=0x154f3e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x154f3e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f5721368254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x15426a0, th=0x2378650) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f572136b2a5 in waitForAvailableJob (this=0x154ac40, th=0x2378650) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x154ac40, th=0x2378650) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f572136864f in ThreadWeaver::ThreadRunHelper::run (this=0x7f56e07d7d30, parent=0x15426a0, th=0x2378650) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f57213686d8 in ThreadWeaver::Thread::run (this=0x2378650) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f572556ba8e in QThreadPrivate::start (arg=0x2378650) at thread/qthread_unix.cpp:285
#9  0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f572409e3dd in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f56dffd7700 (LWP 12386)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f572556c17b in wait (this=<value optimized out>, mutex=0x154f3e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x154f3e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f5721368254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x15426a0, th=0x1b50890) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f572136b2a5 in waitForAvailableJob (this=0x154ac40, th=0x1b50890) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x154ac40, th=0x1b50890) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f572136b2be in ThreadWeaver::WorkingHardState::applyForWork (this=0x154ac40, th=0x1b50890) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f572136864f in ThreadWeaver::ThreadRunHelper::run (this=0x7f56dffd6d30, parent=0x15426a0, th=0x1b50890) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f57213686d8 in ThreadWeaver::Thread::run (this=0x1b50890) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f572556ba8e in QThreadPrivate::start (arg=0x1b50890) at thread/qthread_unix.cpp:285
#10 0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#11 0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#12 0x00007f572409e3dd in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f56df7d6700 (LWP 12387)):
[KCrash Handler]
#6  0x00007f572556e837 in QByteArray::append (this=0x7f56df7d5740, ba=...) at tools/qbytearray.cpp:1588
#7  0x00007f5725614a62 in operator+= (this=0x1764a20, options=...) at ../../src/corelib/tools/qbytearray.h:492
#8  QUrlPrivate::toEncoded (this=0x1764a20, options=...) at io/qurl.cpp:3963
#9  0x00007f5725614f0d in QUrl::toEncoded (this=<value optimized out>, options=<value optimized out>) at io/qurl.cpp:5692
#10 0x00007f5725a47cbd in KUrl::url (this=0x7f56df7d5940, trailing=<value optimized out>) at /usr/src/debug/kdelibs-4.5.95/kdecore/io/kurl.cpp:1034
#11 0x00007f57263bf51d in UrlMemoryFilter::value (this=<value optimized out>, track=<value optimized out>) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/support/MemoryFilter.cpp:286
#12 0x00007f57263c089b in StringMemoryFilter::filterMatches (this=0x3727fc0, track=<value optimized out>) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/support/MemoryFilter.cpp:264
#13 0x00007f57263c1470 in OrContainerMemoryFilter::filterMatches (this=<value optimized out>, track=...) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/support/MemoryFilter.cpp:218
#14 0x00007f57263c1470 in OrContainerMemoryFilter::filterMatches (this=<value optimized out>, track=...) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/support/MemoryFilter.cpp:218
#15 0x00007f57263c1470 in OrContainerMemoryFilter::filterMatches (this=<value optimized out>, track=...) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/support/MemoryFilter.cpp:218
#16 0x00007f57263c1310 in AndContainerMemoryFilter::filterMatches (this=<value optimized out>, track=...) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/support/MemoryFilter.cpp:195
#17 0x00007f57263d0a5b in Collections::MemoryQueryMakerInternal::runQuery (this=0x41648f0) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/support/MemoryQueryMakerInternal.cpp:89
#18 0x00007f57263c810d in QueryJob::run (this=0x2fadda0) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/support/MemoryQueryMaker.cpp:59
#19 0x00007f5721368bd1 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f56df7d5ca0, th=0x2325110, job=0x2fadda0) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Job.cpp:106
#20 0x00007f5721368d0e in ThreadWeaver::Job::execute (this=0x2fadda0, th=0x2325110) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Job.cpp:135
#21 0x00007f572136861f in ThreadWeaver::ThreadRunHelper::run (this=0x7f56df7d5d30, parent=0x15426a0, th=0x2325110) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Thread.cpp:95
#22 0x00007f57213686d8 in ThreadWeaver::Thread::run (this=0x2325110) at /usr/src/debug/kdelibs-4.5.95/threadweaver/Weaver/Thread.cpp:142
#23 0x00007f572556ba8e in QThreadPrivate::start (arg=0x2325110) at thread/qthread_unix.cpp:285
#24 0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#25 0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#26 0x00007f572409e3dd in clone () from /lib64/libc.so.6
#27 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f56ddee1700 (LWP 12388)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f571a4b9224 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#3  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f56db659700 (LWP 12389)):
#0  0x00007f5721f3a6f9 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f570c873bc0 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f56d1f4a700 (LWP 12497)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f571fca5224 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x00007f571fca5259 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#4  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#5  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f56cd5ff700 (LWP 12498)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f572556c17b in wait (this=<value optimized out>, mutex=0x480f7d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x480f7d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f5724f0c504 in ?? () from /usr/lib64/libQtGui.so.4
#4  0x00007f572556ba8e in QThreadPrivate::start (arg=0x480f7c8) at thread/qthread_unix.cpp:285
#5  0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#6  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#7  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f56ccdfe700 (LWP 12499)):
#0  0x00007f5721f3967e in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007f571d746fad in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007f571d7476e0 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f572567f9c6 in QEventDispatcherGlib::processEvents (this=0x4815030, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f5725654092 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f57256542a5 in QEventLoop::exec (this=0x7f56ccdfdce0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f5725569214 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f57256359a8 in QInotifyFileSystemWatcherEngine::run (this=0x4810210) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f572556ba8e in QThreadPrivate::start (arg=0x4810210) at thread/qthread_unix.cpp:285
#9  0x00007f57186cfa33 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f572409e3dd in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f56e4bee700 (LWP 21445)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f570c8697eb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f570c86fad5 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f56e27dc700 (LWP 21446)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f570c85fde7 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f570c871388 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f56e1fdb700 (LWP 21447)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f570c87a89b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f56e17da700 (LWP 22102)):
#0  0x00007f5721f3a38c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f570c8696f3 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f56eb4b75b7 in ?? () from /usr/lib64/xine/plugins/1.29/xineplug_dmx_audio.so
#3  0x00007f56eb4b7e8d in ?? () from /usr/lib64/xine/plugins/1.29/xineplug_dmx_audio.so
#4  0x00007f570c87f163 in ?? () from /usr/lib64/libxine.so.1
#5  0x00007f5721f35a3f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f572409e3dd in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f57276067a0 (LWP 12273)):
#0  0x00007f5724095263 in poll () from /lib64/libc.so.6
#1  0x00007f571c17cc2a in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f571c17d1a3 in ?? () from /usr/lib64/libxcb.so.1
#3  0x00007f571c17d234 in xcb_writev () from /usr/lib64/libxcb.so.1
#4  0x00007f57238a9cd6 in _XSend () from /usr/lib64/libX11.so.6
#5  0x00007f57238aa217 in _XReply () from /usr/lib64/libX11.so.6
#6  0x00007f572389f6c0 in XQueryPointer () from /usr/lib64/libX11.so.6
#7  0x00007f5724aa7dbd in QCursor::pos() () from /usr/lib64/libQtGui.so.4
#8  0x00007f572600d891 in CollectionTreeItemDelegate::paint (this=0x138aba0, painter=0x7fff0ba93fe0, option=..., index=...) at /usr/src/debug/amarok-2.4.0/src/browsers/collectionbrowser/CollectionTreeItemDelegate.cpp:163
#9  0x00007f5724f666ca in QTreeView::drawRow(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () from /usr/lib64/libQtGui.so.4
#10 0x00007f572671f320 in Amarok::PrettyTreeView::drawRow (this=<value optimized out>, painter=0x7fff0ba93fe0, option=..., index=<value optimized out>) at /usr/src/debug/amarok-2.4.0/src/widgets/PrettyTreeView.cpp:44
#11 0x00007f5724f6a96a in QTreeView::drawTree(QPainter*, QRegion const&) const () from /usr/lib64/libQtGui.so.4
#12 0x00007f5724f6b383 in QTreeView::paintEvent(QPaintEvent*) () from /usr/lib64/libQtGui.so.4
#13 0x00007f5724a7250a in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#14 0x00007f5724e168f6 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#15 0x00007f5724f26c33 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#16 0x00007f572600f0bb in CollectionBrowserTreeView::viewportEvent (this=0x1362770, event=0x7fff0ba94c80) at /usr/src/debug/amarok-2.4.0/src/browsers/collectionbrowser/CollectionBrowserTreeView.cpp:112
#17 0x00007f5725654dc7 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1897b60, event=0x7fff0ba94c80) at kernel/qcoreapplication.cpp:847
#18 0x00007f5724a20d11 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#19 0x00007f5724a2924a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#20 0x00007f5726f84976 in KApplication::notify (this=0x7fff0ba97a50, receiver=0x1897b60, event=0x7fff0ba94c80) at /usr/src/debug/kdelibs-4.5.95/kdeui/kernel/kapplication.cpp:311
#21 0x00007f5725654c3c in QCoreApplication::notifyInternal (this=0x7fff0ba97a50, receiver=0x1897b60, event=0x7fff0ba94c80) at kernel/qcoreapplication.cpp:732
#22 0x00007f5724a6f3d2 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#23 0x00007f5724a6ff9f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#24 0x00007f5724a6f13a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#25 0x00007f5724a6ff9f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#26 0x00007f5724a6f13a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#27 0x00007f5724a6ff9f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#28 0x00007f5724a6f13a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#29 0x00007f5724a6ff9f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#30 0x00007f5724a6f13a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#31 0x00007f5724a6ff9f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#32 0x00007f5724a6f13a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#33 0x00007f5724a6ff9f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#34 0x00007f5724a6f13a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#35 0x00007f5724a6ff9f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#36 0x00007f5724a6f13a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#37 0x00007f5724c321a1 in ?? () from /usr/lib64/libQtGui.so.4
#38 0x00007f5724a65190 in QWidgetPrivate::syncBackingStore() () from /usr/lib64/libQtGui.so.4
#39 0x00007f5724a72a12 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#40 0x00007f5724e3044b in QMainWindow::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#41 0x00007f5724a20d44 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#42 0x00007f5724a2924a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#43 0x00007f5726f84976 in KApplication::notify (this=0x7fff0ba97a50, receiver=0x7f9600, event=0x3745850) at /usr/src/debug/kdelibs-4.5.95/kdeui/kernel/kapplication.cpp:311
#44 0x00007f5725654c3c in QCoreApplication::notifyInternal (this=0x7fff0ba97a50, receiver=0x7f9600, event=0x3745850) at kernel/qcoreapplication.cpp:732
#45 0x00007f5725658435 in sendEvent (receiver=0x0, event_type=0, data=0x669ba0) at kernel/qcoreapplication.h:215
#46 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x669ba0) at kernel/qcoreapplication.cpp:1373
#47 0x00007f572567f7d3 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#48 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#49 0x00007f571d746c63 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#50 0x00007f571d747440 in ?? () from /lib64/libglib-2.0.so.0
#51 0x00007f571d7476e0 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#52 0x00007f572567f96f in QEventDispatcherGlib::processEvents (this=0x66fca0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#53 0x00007f5724ac5d9e in ?? () from /usr/lib64/libQtGui.so.4
#54 0x00007f5725654092 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#55 0x00007f57256542a5 in QEventLoop::exec (this=0x7fff0ba979e0, flags=...) at kernel/qeventloop.cpp:201
#56 0x00007f57256586eb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#57 0x000000000040960d in main (argc=3, argv=0x7fff0ba99ec8) at /usr/src/debug/amarok-2.4.0/src/main.cpp:268

Reported using DrKonqi
Comment 1 Ralf Engels 2011-04-11 18:26:54 UTC
Hi,
the sources have changed after I tried to fix a similar bug in src/core-impl/collections/support/MemoryFilter.cpp.

If this happens again, can you please paste a new backtrace.
Comment 2 Myriam Schweingruber 2011-04-26 09:13:42 UTC
Closing for lack of feedback, most likely fixed already.